add_test( Push_Tests.zeroCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Push_Tests.zeroCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( Push_Tests.zeroCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( Push_Tests.belowZeroCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Push_Tests.belowZeroCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( Push_Tests.belowZeroCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( Push_Tests.aboveZeroCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Push_Tests.aboveZeroCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( Push_Tests.aboveZeroCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( Push_Tests.nullCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Push_Tests.nullCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( Push_Tests.nullCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( Pop_Tests.zeroCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Pop_Tests.zeroCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( Pop_Tests.zeroCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( Pop_Tests.belowZeroCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Pop_Tests.belowZeroCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( Pop_Tests.belowZeroCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( Pop_Tests.aboveZeroCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Pop_Tests.aboveZeroCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( Pop_Tests.aboveZeroCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( Pop_Tests.nullCase1 /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Pop_Tests.nullCase1]==] --gtest_also_run_disabled_tests)
set_tests_properties( Pop_Tests.nullCase1 PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( Pop_Tests.nullCase2 /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=Pop_Tests.nullCase2]==] --gtest_also_run_disabled_tests)
set_tests_properties( Pop_Tests.nullCase2 PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( EmptyStack_Tests.oneNodeCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=EmptyStack_Tests.oneNodeCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( EmptyStack_Tests.oneNodeCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( EmptyStack_Tests.twoNodesCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=EmptyStack_Tests.twoNodesCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( EmptyStack_Tests.twoNodesCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( EmptyStack_Tests.threeNodesCase /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=EmptyStack_Tests.threeNodesCase]==] --gtest_also_run_disabled_tests)
set_tests_properties( EmptyStack_Tests.threeNodesCase PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( CreateStack_Tests.pushCase1 /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=CreateStack_Tests.pushCase1]==] --gtest_also_run_disabled_tests)
set_tests_properties( CreateStack_Tests.pushCase1 PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( CreateStack_Tests.pushEmptyStackCase1 /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=CreateStack_Tests.pushEmptyStackCase1]==] --gtest_also_run_disabled_tests)
set_tests_properties( CreateStack_Tests.pushEmptyStackCase1 PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( CreateStack_Tests.pushPopCase1 /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=CreateStack_Tests.pushPopCase1]==] --gtest_also_run_disabled_tests)
set_tests_properties( CreateStack_Tests.pushPopCase1 PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( CreateStack_Tests.pushPopCase2 /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=CreateStack_Tests.pushPopCase2]==] --gtest_also_run_disabled_tests)
set_tests_properties( CreateStack_Tests.pushPopCase2 PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
add_test( CreateStack_Tests.pushPopCase3 /home/user/code/c/22-03/adv_c_A/c_stack/TestCode [==[--gtest_filter=CreateStack_Tests.pushPopCase3]==] --gtest_also_run_disabled_tests)
set_tests_properties( CreateStack_Tests.pushPopCase3 PROPERTIES WORKING_DIRECTORY /home/user/code/c/22-03/adv_c_A/c_stack SKIP_REGULAR_EXPRESSION [==[\[  SKIPPED \]]==])
set( TestCode_TESTS Push_Tests.zeroCase Push_Tests.belowZeroCase Push_Tests.aboveZeroCase Push_Tests.nullCase Pop_Tests.zeroCase Pop_Tests.belowZeroCase Pop_Tests.aboveZeroCase Pop_Tests.nullCase1 Pop_Tests.nullCase2 EmptyStack_Tests.oneNodeCase EmptyStack_Tests.twoNodesCase EmptyStack_Tests.threeNodesCase CreateStack_Tests.pushCase1 CreateStack_Tests.pushEmptyStackCase1 CreateStack_Tests.pushPopCase1 CreateStack_Tests.pushPopCase2 CreateStack_Tests.pushPopCase3)
